package at.jku.ssw.redblacktree;

/**
 * A node for storing characters in a RB tree.
 */
public class RedBlackTreeNode {

	public char value;
	public RedBlackTreeNode left, right;
	public boolean red;

	/** Creates a node for storing a character in a RB tree. */
	public RedBlackTreeNode(char value, RedBlackTreeNode nil) {
		this.value = value;
		this.red = false;
		this.left = nil;
		this.right = nil;
	}
}
